/*
SQLyog Ultimate v9.50 
MySQL - 5.6.20 : Database - nstjasper
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`nstjasper` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `nstjasper`;

/*Table structure for table `artikal` */

DROP TABLE IF EXISTS `artikal`;

CREATE TABLE `artikal` (
  `ArtikalID` int(11) NOT NULL,
  `naziv` varchar(30) DEFAULT NULL,
  `cena` double DEFAULT NULL,
  PRIMARY KEY (`ArtikalID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `artikal` */

insert  into `artikal`(`ArtikalID`,`naziv`,`cena`) values (1,'Ruski kvas',50),(2,'Bonzita',15),(3,'Musli',70),(4,'Orbit',55);

/*Table structure for table `mesto` */

DROP TABLE IF EXISTS `mesto`;

CREATE TABLE `mesto` (
  `ptt` bigint(6) NOT NULL,
  `naziv` varchar(30) NOT NULL,
  PRIMARY KEY (`ptt`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `mesto` */

insert  into `mesto`(`ptt`,`naziv`) values (11000,'Beograd'),(11070,'Novi Beograd'),(11080,'Zemun'),(18000,'Nis'),(21000,'Novi Sad');

/*Table structure for table `pravnolice` */

DROP TABLE IF EXISTS `pravnolice`;

CREATE TABLE `pravnolice` (
  `maticniBroj` varchar(11) NOT NULL,
  `pib` varchar(8) DEFAULT NULL,
  `naziv` varchar(30) NOT NULL,
  `adresa` varchar(30) DEFAULT NULL,
  `vlasnik` varchar(30) DEFAULT NULL,
  `sedisteFirme` bigint(6) DEFAULT NULL,
  PRIMARY KEY (`maticniBroj`),
  KEY `FK_Mesto_PravnoLice` (`sedisteFirme`),
  CONSTRAINT `FK_Mesto_PravnoLice` FOREIGN KEY (`sedisteFirme`) REFERENCES `mesto` (`ptt`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `pravnolice` */

insert  into `pravnolice`(`maticniBroj`,`pib`,`naziv`,`adresa`,`vlasnik`,`sedisteFirme`) values ('1','1','Partner1','Savski nasip','Vlasnik 1',11070),('11111','4444','FON','Jove Ilica 154','Republika Srbija',11000),('123123','7777','Info','Jevrejska 32','Vlasnik AB',11080),('2','2','Partner2','Zemunska','Vlasnik CD',11080),('3','3','IRCFON','Jove Ilica 154','FON',11000);

/*Table structure for table `racun` */

DROP TABLE IF EXISTS `racun`;

CREATE TABLE `racun` (
  `RacunID` int(11) NOT NULL,
  `datum` date DEFAULT NULL,
  `maticniBroj` varchar(11) DEFAULT NULL,
  PRIMARY KEY (`RacunID`),
  KEY `maticniBroj` (`maticniBroj`),
  CONSTRAINT `racun_ibfk_1` FOREIGN KEY (`maticniBroj`) REFERENCES `pravnolice` (`maticniBroj`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `racun` */

insert  into `racun`(`RacunID`,`datum`,`maticniBroj`) values (1,'2015-11-15','11111');

/*Table structure for table `stavkaracuna` */

DROP TABLE IF EXISTS `stavkaracuna`;

CREATE TABLE `stavkaracuna` (
  `RacunID` int(11) NOT NULL,
  `RB` int(11) NOT NULL,
  `Kolicina` int(11) DEFAULT NULL,
  `artikalID` int(11) DEFAULT NULL,
  PRIMARY KEY (`RacunID`,`RB`),
  KEY `artikalID` (`artikalID`),
  CONSTRAINT `stavkaracuna_ibfk_1` FOREIGN KEY (`RacunID`) REFERENCES `racun` (`RacunID`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `stavkaracuna_ibfk_2` FOREIGN KEY (`artikalID`) REFERENCES `artikal` (`ArtikalID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `stavkaracuna` */

insert  into `stavkaracuna`(`RacunID`,`RB`,`Kolicina`,`artikalID`) values (1,1,8,1),(1,2,3,3);

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
