package db;

import domen.Mesto;
import domen.PravnoLice;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author Milos Milic
 */
public class DatabaseBroker {

    private static DatabaseBroker instance;
    private Connection connection;

    private DatabaseBroker() {
    }

    public static DatabaseBroker getInstance() {
        if (instance == null) {
            instance = new DatabaseBroker();
        }
        return instance;
    }

    public void open() throws SQLException, ClassNotFoundException {
        Class.forName("com.mysql.jdbc.Driver");
        connection = DriverManager.getConnection("jdbc:mysql://localhost:3306/nstjasper", "root", "root");
        connection.setAutoCommit(false);
    }

    public void commit() throws SQLException {
        connection.commit();
    }

    public void rollback() throws SQLException {
        connection.rollback();
    }

    public void close() throws SQLException {
        connection.close();
    }

    public Connection getConnection() {
        return connection;
    }

    public void setConnection(Connection connection) {
        this.connection = connection;
    }

    public List<Mesto> vratiSvaMesta() throws SQLException {
        List<Mesto> listaMesta = new ArrayList<>();
        Statement naredba = connection.createStatement();
        String upit = "Select * from Mesto";
        ResultSet rs = naredba.executeQuery(upit);
        while (rs.next()) {
            Mesto m = new Mesto();
            m.setPtt(rs.getLong("ptt"));
            m.setNaziv(rs.getString("naziv"));
            listaMesta.add(m);
        }
        return listaMesta;
    }

    public List<PravnoLice> vratiSvaPravnaLica() throws SQLException {

        List<PravnoLice> listaPL = new ArrayList<>();

        Statement naredba = connection.createStatement();
        String upit = "Select * from PravnoLice as pl inner join Mesto as m on pl.sedisteFirme=m.ptt";
        ResultSet rs = naredba.executeQuery(upit);

        while (rs.next()) {
            PravnoLice pl = new PravnoLice();

            pl.setMaticniBroj(rs.getString("maticnibroj"));
            pl.setPib(rs.getString("pib"));
            pl.setNaziv(rs.getString("naziv"));
            pl.setAdresa(rs.getString("adresa"));
            pl.setVlasnik(rs.getString("vlasnik"));

            Mesto m = new Mesto();
            m.setPtt(rs.getLong("sedisteFirme"));
            m.setNaziv(rs.getString("m.naziv"));
            pl.setMesto(m);

            listaPL.add(pl);
        }

        return listaPL;
    }

}
